﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SampleUltraGrid
{
    public partial class ImageServer : Component
    {
        static ImageServer ser;
        static ImageServer()
        {
            ser = new ImageServer();
            ser.InitializeComponent();
        }

      
        public static Image GetImage(int ind)
        {
            if (ser == null)
            {
                ser = new ImageServer();
                ser.InitializeComponent();
            }
            if (ind < ser.imageList1.Images.Count)
                return ser.imageList1.Images[ind];
            else
                return null;
        }
        public static Image GetImage(string image)
        {
            if (image == null)
                return ser.imageList1.Images["WhiteSpace"]; ;
            if (ser.imageList1.Images.ContainsKey(image))
                return ser.imageList1.Images[image];
            else
                return ser.imageList1.Images["WhiteSpace"];
        }
        public static System.Windows.Forms.ImageList.ImageCollection GetImages()
        {
            if (ser == null)
            {
                ser = new ImageServer();
                ser.InitializeComponent();
            }
            System.Windows.Forms.ImageList.ImageCollection images;
            images = ser.imageList1.Images;
            return images;
        }
    }
}
